fields:
- datatype: xsd:string
  domain: <http://iflastandards.info/ns/fr/frbr/frbroo/F4_Manifestation_Singleton>
  id: author_as_written
  label: Author written as
  maxOccurs: '1'
  queries:
  - select: "SELECT ?value WHERE {\n  $subject crm:P128_carries / frbroo:R15_has_fragment\
      \ ?frag .\n  ?frag crm:P2_has_type <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/fragment/author-as-written>\
      \ ;\n\trdfs:label ?value.\n}"
  - insert: "INSERT { \n  $subject crm:P128_carries ?expr .\n  ?expr frbroo:R15_has_fragment\
      \ ?frag .\n  ?frag a frbroo:F23_Expression_Fragment ;\n    a ismi:Alias ;\n\
      \    crm:P2_has_type <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/fragment/author-as-written>\
      \ ;\n\trdfs:label ?value .\n  # add as author alias name\n  ?author crm:P1_is_identified_by\
      \ ?author_alias .\n  ?author_alias a crm:E41_Appellation ;\n      a ismi:Alias\
      \ ;\n      crm:P2_has_type <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/name/alias-name>\
      \ ;\n      rdfs:label ?value .\n  ?frag skos:closeMatch ?author_alias .      \n\
      } WHERE {\n  bind(uri(concat(str($subject), \"/expression\")) as ?expr)\n  bind(uri(concat(str($subject),\
      \ \"/author-as-written\")) as ?frag)\n  $subject crm:P1_is_identified_by ?id\
      \ .\n  ?id crm:P2_has_type <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/identifier/ismi-id>\
      \ ;\n      rdfs:label ?wit_id .\n  $subject crm:P128_carries / frbroo:R9i_realises\
      \ / frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?author .\n  bind(uri(concat(str(?author),\
      \ \"/name/\", ?wit_id)) as ?author_alias)\n}"
prefix: http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/
